package cn.com.poc.thirdparty.resource.demand.ai.entity;

import cn.com.poc.thirdparty.resource.demand.ai.entity.censor.Datum;
import cn.com.poc.thirdparty.resource.demand.dgTools.result.AbstractResult;
import com.alibaba.fastjson.annotation.JSONField;

import java.util.List;

/**
 * @author alex.yao
 * @date 2023/7/21
 **/
public class AITextCensorResult extends AbstractResult {

    private String conclusion;
    private Long conclusionType;
    private List<Datum> data;
    @JSONField(name = "log_id")
    private Long logId;

    public String getConclusion() {
        return conclusion;
    }

    public void setConclusion(String conclusion) {
        this.conclusion = conclusion;
    }

    public Long getConclusionType() {
        return conclusionType;
    }

    public void setConclusionType(Long conclusionType) {
        this.conclusionType = conclusionType;
    }

    public List<Datum> getData() {
        return data;
    }

    public void setData(List<Datum> data) {
        this.data = data;
    }

    public Long getLogId() {
        return logId;
    }

    public void setLogId(Long logId) {
        this.logId = logId;
    }
}
